forked from hashbang/shell-etc
-
Notifications
You must be signed in to change notification settings - Fork 0
Commit
This commit does not belong to any branch on this repository, and may belong to a fork outside of the repository.
committing changes in /etc after apt run
Package changes: +libmysqlclient18 5.5.53-0+deb8u1 +libonig2 5.9.5-3.2 +libqdbm14 1.8.78-5+b1 +mysql-common 5.5.53-0+deb8u1 +php5-cgi 5.6.27+dfsg-0+deb8u1 +php5-cli 5.6.27+dfsg-0+deb8u1 +php5-common 5.6.27+dfsg-0+deb8u1 +php5-curl 5.6.27+dfsg-0+deb8u1 +php5-fpm 5.6.27+dfsg-0+deb8u1 +php5-json 1.3.6-1 +php5-mysql 5.6.27+dfsg-0+deb8u1 +php5-sqlite 5.6.27+dfsg-0+deb8u1
- Loading branch information
root
committed
Dec 4, 2016
1 parent
6441f80
commit ca1e4b4
Showing
62 changed files
with
6,913 additions
and
1 deletion.
There are no files selected for viewing
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1 @@ | ||
/usr/bin/phar5 |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1 @@ | ||
/usr/bin/php5 |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1 @@ | ||
/usr/bin/php5-cgi |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1 @@ | ||
/usr/lib/cgi-bin/php5 |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,35 @@ | ||
# This file replaces old system MIME types and sets them only in the | ||
# Apache webserver | ||
|
||
# application/x-httpd-php phtml pht php | ||
# application/x-httpd-php3 php3 | ||
# application/x-httpd-php4 php4 | ||
# application/x-httpd-php5 php | ||
<FilesMatch ".+\.ph(p[345]?|t|tml)$"> | ||
SetHandler application/x-httpd-php | ||
</FilesMatch> | ||
# application/x-httpd-php-source phps | ||
<FilesMatch ".+\.phps$"> | ||
SetHandler application/x-httpd-php-source | ||
# Deny access to raw php sources by default | ||
# To re-enable it's recommended to enable access to the files | ||
# only in specific virtual host or directory | ||
Require all denied | ||
</FilesMatch> | ||
# Deny access to files without filename (e.g. '.php') | ||
<FilesMatch "^\.ph(p[345]?|t|tml|ps)$"> | ||
Require all denied | ||
</FilesMatch> | ||
|
||
# To enable PHP CGI site-wide, just uncomment following lines, however | ||
# as a security measure, it's recommended to enable PHP just in the | ||
# specific virtual servers or just specific directories | ||
|
||
#ScriptAlias /cgi-bin/ /usr/lib/cgi-bin/ | ||
#<Directory "/usr/lib/cgi-bin"> | ||
# AllowOverride None | ||
# Options +ExecCGI -MultiViews +SymLinksIfOwnerMatch | ||
# Order allow,deny | ||
# Allow from all | ||
#</Directory> | ||
#Action application/x-httpd-php /cgi-bin/php5 |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,14 @@ | ||
# /etc/cron.d/php5: crontab fragment for php5 | ||
# This purges session files in session.save_path older than X, | ||
# where X is defined in seconds as the largest value of | ||
# session.gc_maxlifetime from all your SAPI php.ini files | ||
# or 24 minutes if not defined. The script triggers only | ||
# when session.save_handler=files. | ||
# | ||
# WARNING: The scripts tries hard to honour all relevant | ||
# session PHP options, but if you do something unusual | ||
# you have to disable this script and take care of your | ||
# sessions yourself. | ||
|
||
# Look for and purge old sessions every 30 minutes | ||
09,39 * * * * root [ -x /usr/lib/php5/sessionclean ] && /usr/lib/php5/sessionclean |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,177 @@ | ||
#!/bin/sh | ||
### BEGIN INIT INFO | ||
# Provides: php-fpm php5-fpm | ||
# Required-Start: $remote_fs $network | ||
# Required-Stop: $remote_fs $network | ||
# Default-Start: 2 3 4 5 | ||
# Default-Stop: 0 1 6 | ||
# Short-Description: starts php5-fpm | ||
# Description: Starts The PHP FastCGI Process Manager Daemon | ||
### END INIT INFO | ||
|
||
# Author: Ondrej Sury <[email protected]> | ||
|
||
PATH=/sbin:/usr/sbin:/bin:/usr/bin | ||
DESC="PHP5 FastCGI Process Manager" | ||
NAME=php5-fpm | ||
DAEMON=/usr/sbin/$NAME | ||
DAEMON_ARGS="--daemonize --fpm-config /etc/php5/fpm/php-fpm.conf" | ||
CONF_PIDFILE=$(sed -n 's/^pid\s*=\s*//p' /etc/php5/fpm/php-fpm.conf) | ||
PIDFILE=${CONF_PIDFILE:-/run/php5-fpm.pid} | ||
TIMEOUT=30 | ||
SCRIPTNAME=/etc/init.d/$NAME | ||
|
||
# Exit if the package is not installed | ||
[ -x "$DAEMON" ] || exit 0 | ||
|
||
# Read configuration variable file if it is present | ||
[ -r /etc/default/$NAME ] && . /etc/default/$NAME | ||
|
||
# Load the VERBOSE setting and other rcS variables | ||
. /lib/init/vars.sh | ||
|
||
# Define LSB log_* functions. | ||
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present. | ||
. /lib/lsb/init-functions | ||
|
||
# Don't run if we are running upstart | ||
if init_is_upstart; then | ||
exit 1 | ||
fi | ||
|
||
# | ||
# Function to check the correctness of the config file | ||
# | ||
do_check() | ||
{ | ||
/usr/lib/php5/php5-fpm-checkconf || return 1 | ||
return 0 | ||
} | ||
|
||
# | ||
# Function that starts the daemon/service | ||
# | ||
do_start() | ||
{ | ||
# Return | ||
# 0 if daemon has been started | ||
# 1 if daemon was already running | ||
# 2 if daemon could not be started | ||
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \ | ||
|| return 1 | ||
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \ | ||
$DAEMON_ARGS 2>/dev/null \ | ||
|| return 2 | ||
# Add code here, if necessary, that waits for the process to be ready | ||
# to handle requests from services started subsequently which depend | ||
# on this one. As a last resort, sleep for some time. | ||
} | ||
|
||
# | ||
# Function that stops the daemon/service | ||
# | ||
do_stop() | ||
{ | ||
# Return | ||
# 0 if daemon has been stopped | ||
# 1 if daemon was already stopped | ||
# 2 if daemon could not be stopped | ||
# other if a failure occurred | ||
start-stop-daemon --stop --quiet --retry=QUIT/$TIMEOUT/TERM/5/KILL/5 --pidfile $PIDFILE --name $NAME | ||
RETVAL="$?" | ||
[ "$RETVAL" = 2 ] && return 2 | ||
# Wait for children to finish too if this is a daemon that forks | ||
# and if the daemon is only ever run from this initscript. | ||
# If the above conditions are not satisfied then add some other code | ||
# that waits for the process to drop all resources that could be | ||
# needed by services started subsequently. A last resort is to | ||
# sleep for some time. | ||
start-stop-daemon --stop --quiet --oknodo --retry=0/30/TERM/5/KILL/5 --exec $DAEMON | ||
[ "$?" = 2 ] && return 2 | ||
# Many daemons don't delete their pidfiles when they exit. | ||
rm -f $PIDFILE | ||
return "$RETVAL" | ||
} | ||
|
||
# | ||
# Function that sends a SIGHUP to the daemon/service | ||
# | ||
do_reload() { | ||
# | ||
# If the daemon can reload its configuration without | ||
# restarting (for example, when it is sent a SIGHUP), | ||
# then implement that here. | ||
# | ||
start-stop-daemon --stop --signal USR2 --quiet --pidfile $PIDFILE --name $NAME | ||
return 0 | ||
} | ||
|
||
case "$1" in | ||
start) | ||
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME" | ||
do_check $VERBOSE | ||
case "$?" in | ||
0) | ||
do_start | ||
case "$?" in | ||
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;; | ||
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;; | ||
esac | ||
;; | ||
1) [ "$VERBOSE" != no ] && log_end_msg 1 ;; | ||
esac | ||
;; | ||
stop) | ||
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME" | ||
do_stop | ||
case "$?" in | ||
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;; | ||
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;; | ||
esac | ||
;; | ||
status) | ||
status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $? | ||
;; | ||
check) | ||
do_check yes | ||
;; | ||
reload|force-reload) | ||
log_daemon_msg "Reloading $DESC" "$NAME" | ||
do_reload | ||
log_end_msg $? | ||
;; | ||
reopen-logs) | ||
log_daemon_msg "Reopening $DESC logs" $NAME | ||
if start-stop-daemon --stop --signal USR1 --oknodo --quiet \ | ||
--pidfile $PIDFILE --exec $DAEMON | ||
then | ||
log_end_msg 0 | ||
else | ||
log_end_msg 1 | ||
fi | ||
;; | ||
restart) | ||
log_daemon_msg "Restarting $DESC" "$NAME" | ||
do_stop | ||
case "$?" in | ||
0|1) | ||
do_start | ||
case "$?" in | ||
0) log_end_msg 0 ;; | ||
1) log_end_msg 1 ;; # Old process is still running | ||
*) log_end_msg 1 ;; # Failed to start | ||
esac | ||
;; | ||
*) | ||
# Failed to stop | ||
log_end_msg 1 | ||
;; | ||
esac | ||
;; | ||
*) | ||
echo "Usage: $SCRIPTNAME {start|stop|status|restart|reload|force-reload}" >&2 | ||
exit 1 | ||
;; | ||
esac | ||
|
||
: |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,14 @@ | ||
# php5-fpm - The PHP FastCGI Process Manager | ||
|
||
description "The PHP FastCGI Process Manager" | ||
author "Ondřej Surý <[email protected]>" | ||
|
||
start on runlevel [2345] | ||
stop on runlevel [016] | ||
|
||
reload signal USR2 | ||
|
||
pre-start exec /usr/lib/php5/php5-fpm-checkconf | ||
|
||
respawn | ||
exec /usr/sbin/php5-fpm --nodaemonize --fpm-config /etc/php5/fpm/php-fpm.conf |
This file contains bidirectional Unicode text that may be interpreted or compiled differently than what appears below. To review, open the file in an editor that reveals hidden Unicode characters.
Learn more about bidirectional Unicode characters
Original file line number | Diff line number | Diff line change |
---|---|---|
@@ -0,0 +1,11 @@ | ||
/var/log/php5-fpm.log { | ||
rotate 12 | ||
weekly | ||
missingok | ||
notifempty | ||
compress | ||
delaycompress | ||
postrotate | ||
/usr/lib/php5/php5-fpm-reopenlogs | ||
endscript | ||
} |
Empty file.
Oops, something went wrong.